//
// Created by Falko Alrik Schmidt on 26.09.23.
//

#include "Ulm_MS5607.h"

Ulm_MS5607::Ulm_MS5607(int8_t address, TwoWire *aWire) : MS5x(aWire) {
    this->setI2Caddr(address);
}


bool Ulm_MS5607::begin() {
    this->setSamples(MS5xxx_CMD_ADC_2048);
    this->setDelay(1000);
    this->setTempC();
    this->setPressMbar();

    if(this->connect() > 0) {
        // Error
        return false;
    } else {
        return true;
    }
}

double Ulm_MS5607::getPressure() {
    return this->GetPres();
}

double Ulm_MS5607::getTemperature() {
    return this->GetTemp();
}

double Ulm_MS5607::getAltitude() {
    return MS5x::getAltitude(true);
}
